#ifndef TESTCOMM_SPILIB_H
#define TESTCOMM_SPILIB_H
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <fcntl.h>
#include <string.h>
#include <string>
#include <thread>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>

#include <linux/types.h>
#include <linux/spi/spidev.h>

#include <android/log.h>

using namespace std;

typedef unsigned char u8;

class SpiLIb {
public:

    int spi_transfer(int fd, unsigned char *txbuf, unsigned char *rxbuf, int bytes);
    void spi_master_init(const char *name, int fd);
    int delay(int x);
};




#endif //TESTCOMM_SPILIB_H
